1. Rests
Tevau-openApi
  • Get started
  • Signature instructions
  • Transaction description
  • FAQ
  • 01. User
    • 1.1 Create User
      POST
    • 1.2 Query User
      POST
  • 02. KYC
    • 2.1 V1 submits the customer's KYC information
      POST
    • 2.2 Get the URL
      POST
    • 2.3 Query liveness results
      POST
    • 2.4 Query KYC
      POST
    • 2.5 [Sandbox] Simulate KYC Review
      POST
    • 2.6 Create Document File
      POST
    • 2.7 Upload Document Files
      POST
    • 2.8 V2 Submit customer's KYC information
      POST
  • 03. Card
    • 3.1 Create Card
      POST
    • 3.2 Query Card List
      POST
    • 3.3 Adjust Card Balance
      POST
    • 3.4 Card Details
      POST
    • 3.5 Bind Card
      POST
    • 3.6 Close Card
      POST
    • 3.7 Freeze Card
      POST
    • 3.8 Unfreeze card
      POST
    • 3.9 Activate Card
      POST
    • 3.10 Card PAN
      POST
    • 3.11 Card PIN
      POST
    • 3.12 Card Limit
      POST
    • 3.13 Set Card Fee
      POST
    • 3.14 Query Card Fee
      POST
    • 3.15 3DS
      POST
    • 3.16 Update Phone
      POST
    • 3.17 Update Email
      POST
  • 04. Query logistics information
    • 4.1 Query Order
  • 05. Prefund
    • 5.1 Prefund Balance
    • 5.2 Query Bill Details
  • 06. Transaction
    • 6.1 Transaction History
    • 6.2 Transaction Details
  • 07. Simulated Trading
    • 7.1 Authorisation
    • 7.2 Clearing
    • 7.3 Refund
    • 7.4 Reversal
    • 7.5 3DS
    • 7.6 Simulate card status
  • 08. Webhook
    • 8.1 KYC Results
    • 8.2 Card Status
    • 8.3 Changes in card balance
    • 8.4 3DS
    • 8.5 Transaction
    • 8.6 Logistics status
    • 8.7 Token Notification
  • Rests
    • [Sandbox] Edit WebHook-Url
      POST
    • JIT Authorized Transaction
      POST
  1. Rests

JIT Authorized Transaction

POST
callBackUrl
When a cardholder initiates a credit card transaction, the card scheme will send an authorization transaction webhook notification to the Tevau-API platform. After completing internal verifications (card balance, enterprise account balance, risk control rules, etc.), if the enterprise has enabled the JIT (Just-In-Time) Authorization​ feature, the Tevau-API platform will invoke this interface to send a synchronous authorization request downstream to your enterprise, allowing your enterprise to decide whether to approve the transaction.
Downstream enterprises must return an HTTP response within 2 seconds​ upon receiving the authorization request.
Integration Recommendations:
Interface Performance:​ Ensure the callback interface response time is < 1.5 seconds​ (to reserve network transmission time). Responses exceeding 2 seconds​ will be treated as a timeout rejection.
Decision Logic:​ The interface should only return APPROVED​ or DECLINED. Complex approval workflows should be handled asynchronously internally; the synchronous interface must only return the final decision.
Logging:​ It is recommended that downstream enterprises maintain complete logs of both the callback request and response to facilitate reconciliation and troubleshooting.

Request

Header Params

Body Params application/json

Example
{
    "atmTransactions": false,
    "cardFee": 3.50,
    "cardId": "CIDV013431541551",
    "channelFee": 3.91,
    "eventType": "AUTHORIZATION_REQUEST",
    "localTransactionAmount": 100.00,
    "localTransactionCurrency": "CNY",
    "merchantData": {
        "mccCode": "5815",
        "merchantCountry": "SE",
        "merchantId": "123456789123456",
        "merchantName": "Spotify"
    },
    "transAmount": 10.00,
    "transCurrency": "USD"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-test.tevaupay.comcallBackUrl' \
--header 'x-nexus-api-key;' \
--header 'versions: v1' \
--header 'appId;' \
--header 'timestamp;' \
--header 'nonce;' \
--header 'sign;' \
--header 'Content-Type: application/json' \
--data '{
    "atmTransactions": false,
    "cardFee": 3.50,
    "cardId": "CIDV013431541551",
    "channelFee": 3.91,
    "eventType": "AUTHORIZATION_REQUEST",
    "localTransactionAmount": 100.00,
    "localTransactionCurrency": "CNY",
    "merchantData": {
        "mccCode": "5815",
        "merchantCountry": "SE",
        "merchantId": "123456789123456",
        "merchantName": "Spotify"
    },
    "transAmount": 10.00,
    "transCurrency": "USD"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{}
Modified at 2026-05-25 03:55:18
Previous
[Sandbox] Edit WebHook-Url
Built with